package com.nbclass.activity.mapper;

import java.util.List;

import com.nbclass.activity.model.ContentTags;
import org.apache.ibatis.annotations.Param;

import com.nbclass.activity.model.DataDictItem;
import com.nbclass.util.MyMapper;

/**
 *
 * @author Leon
 * @datetime 2020年6月1日 下午9:15:33
 */
public interface DataDictItemMapper extends MyMapper<DataDictItem> {

	/**
	 * 根据dictid查询字典item列表
	 * @param entity
	 * @return
	 */
	public List<DataDictItem> getList(DataDictItem entity);

	/**
	 * 判断记录是否存在
	 * @param entity
	 * @return
	 */
	public Long checkExist(DataDictItem entity);


	/**
	 * 根据id检查字典是否在案例标签中有使用
	 * @param id
	 * @return
	 */
	public Long checkContentTag(@Param("id")Long id);

	/**
	 * 根据id检查字典是否在案例来源中有使用
	 * @param id
	 * @return
	 */
	public Long checkContentFrom(@Param("id")Long id);

	/**
	 * 获取字典值
	 * @return
	 */
    List<ContentTags> getDropDownBox();

	/**
	 * 根据名字查询tasId
	 * @param name
	 * @return
	 */
    String[] getTagId(String name);

	/**
	 * 查询案例关联字典值tid
	 * @return
	 */
	List<Long> getContentDict();
}
